Thread Rating:
  • 0 Vote(s) - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
[F] [MyBB 1.4.1] SQL error before upgrade
#1
Exclamation 
Hi all!.

I'm gonna ask you to help me with this error that didn't allow me to upgrade my forum. Here it comes the data:

1) What version of MyBB you are upgrading from: 1.1.8
2) Plugins are deactivated but i didn't deleted from the inc/plugins directory.
3) Exact error received:
Fatal error: [SQL] [1054] Unknown column 'loginattempts' in 'field list'
UPDATE mybb_sessions SET uid='2', loginattempts='1' WHERE sid='wh0car3s4t4ll98e206c89d83fd6c1d0y4' in http://myserver.com/forum/inc/db_mysql.php on line 544

(sid & URL are no real Wink)
4) The page you were trying to access:
When you type the admin user and his password (first page of the upgrade), and presses the button, then appears that.

When I saw this error I went to the phpMyAdmin and looked for the mybb_sessions table and there for the loginattempts field but I only have those fileds:
sid
uid
ip
time
location
useragent
anonymous
nopermission
location1
location2

---------------------
Many Thanks.
I don't answer questions about localhost forums or forums without URL, I'm not a seer.  Cool
#2
And just to make sure, you are selecting 1.1.8 when prompted for the version you are upgrading from?
#3
(2008-08-19, 06:37 AM)DCR Wrote: And just to make sure, you are selecting 1.1.8 when prompted for the version you are upgrading from?

I can't select any version (this is the second web that appears and I can't reach it)
I don't answer questions about localhost forums or forums without URL, I'm not a seer.  Cool
#4
(2008-08-19, 09:33 AM)NoRules Wrote:
(2008-08-19, 06:37 AM)DCR Wrote: And just to make sure, you are selecting 1.1.8 when prompted for the version you are upgrading from?

I can't select any version (this is the second web that appears and I can't reach it)

Can you give a screenshot? What version options do you have?
Dennis Tsang
Former MyBB Team Member
Web: http://dennistt.net
#5
(2008-08-19, 11:23 PM)DennisTT Wrote: Can you give a screenshot?
Here they are:
   
Firts page of the upgrade. I insert my admin user and its password. Then I press the "Login" button, and...
   
The White Screen of Dead appears Undecided

(2008-08-19, 11:23 PM)DennisTT Wrote: What version options do you have?
Excuse me? Versions options?

-------------------------------------------------------

Many thanks
I don't answer questions about localhost forums or forums without URL, I'm not a seer.  Cool
#6
Yes, when you log in to the upgrader you will have to choose which version you are upgrading from, i.e. 1.1.8
MyReactions - All Plugins

Can you still feel the butterflies?

Free never tasted like pudding.
#7
Ah! Thanks Matt_

But as you could see on the screenshots, i can't login (when I try to it "crashes")

:|
I don't answer questions about localhost forums or forums without URL, I'm not a seer.  Cool
#8
Did you upload a backup before this?? Because you would need to log in with your usual login.
MyReactions - All Plugins

Can you still feel the butterflies?

Free never tasted like pudding.
#9
(2008-08-22, 11:23 AM)Matt_ Wrote: Did you upload a backup before this??
Yes I upload a 1.1.8 backup before the ugrade.

(2008-08-22, 11:23 AM)Matt_ Wrote: Because you would need to log in with your usual login.
I try to login with my Admin user (as is said on the Upgrade Wiki)
I don't answer questions about localhost forums or forums without URL, I'm not a seer.  Cool
#10
You seem to be missing the following in the mybb_sessions table:

loginattempts
failedlogin

EDIT: Attached pics of their default settings in phpMyAdmin.


Attached Files Thumbnail(s)
   
-Joe
AFreeCloud - Free Cloud-Based Web Hosting!


Forum Jump:


Users browsing this thread: 1 Guest(s)